void showTimer() {
  display.setTextSize(2);

  if(exit_menu_code == 21) {
    noteTime(0);
    display.setTextColor(BLACK, WHITE);
  }

  display.setCursor(21, 8);
  if(time_h < 10) {
    display.print("0");
  }
  display.print(time_h);

  display.setTextColor(WHITE);
  display.setCursor(43, 8);
  display.print(":");

  if(exit_menu_code == 22) {
    noteTime(1);
    display.setTextColor(BLACK, WHITE);
  }

  display.setCursor(53, 8);
  if(time_m < 10) {
    display.print("0");
  }
  display.print(time_m);

  display.setTextColor(WHITE);
  display.setCursor(75, 8);
  display.print(":");

  if(exit_menu_code == 23) {
    noteTime(2);
    display.setTextColor(BLACK, WHITE);
  }

  display.setCursor(85, 8);
  if(time_s < 10) {
    display.print("0");
  }
  display.print(time_s);
}

void setTimer() {
  set_time = time_h * (long)3600;
  set_time = set_time + (time_m * 60);
  set_time = set_time + time_s;
  set_time = set_time * 1000;

  sendTime();
}

void countdown() {
  if(time_running) {
    time = set_time - (millis() - timer);
    time = time + timer_difference;
    time = time / 1000;
  }

  if(time == 0) {
    time_running = false;
  }

  time_h = time / 3600;
  time = time - (time_h * (long)3600);
  time_m = time / 60;
  time = time - (time_m * 60);
  time_s = time;

  if(time_s != time_s_old) {
    time_s_old = time_s;
    if(menu_pos == 2) {
      menu();
    }
  }
}


void noteTime(byte option) {
  display.setTextSize(1);
  switch(option) {
    case 0:
      display.setCursor(48, 24);
      display.print("Hours");
      break;
    case 1:
      display.setCursor(42, 24);
      display.print("Minutes");
      break;
    case 2:
      display.setCursor(42, 24);
      display.print("Seconds");
      break;
    case 3:
      display.setCursor(30, 24);
      display.print("0.1 Seconds");
      break;
  }
  
  display.setTextSize(2);
}
